﻿using Syncfusion.SfChart.XForms;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace ChartWatermark
{
    public class ChartSample : ContentPage
    {
        public ObservableCollection<ChartDataPoint> DataPoints;
        public ChartSample()
        {

            SfChart chart = new SfChart();

            DataPoints = new ObservableCollection<ChartDataPoint>();
            DataPoints.Add(new ChartDataPoint("Jan", 20));
            DataPoints.Add(new ChartDataPoint("Feb", 25));
            DataPoints.Add(new ChartDataPoint("Mar", 10));
            DataPoints.Add(new ChartDataPoint("Apr", 30));
            DataPoints.Add(new ChartDataPoint("May", 20));

            chart.PrimaryAxis = new CategoryAxis();

            NumericalAxis yAxis = new NumericalAxis();
            yAxis.Minimum = 0;
            yAxis.Maximum = 30;
            NumericalStripLine stripLine = new NumericalStripLine();
            stripLine.Text = "Chart Sample";
            stripLine.LabelStyle.Angle = 310;
            stripLine.LabelStyle.TextColor = Color.FromHex("#C4CCCF");
            stripLine.LabelStyle.Font = Font.SystemFontOfSize(20);
            stripLine.Start = (double)yAxis.Minimum;
            stripLine.Width = (double)yAxis.Maximum;
            stripLine.FillColor = Color.Transparent;
            yAxis.StripLines.Add(stripLine);
            chart.SecondaryAxis = yAxis;
           
            LineSeries series = new LineSeries();
            series.ItemsSource = DataPoints;
            chart.Series.Add(series);
                       
            Content = chart;
        }
    }
}
